### Class

# Cogl OnscreenTemplate

#### Description

    final class Cogl.OnscreenTemplate : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### cogl_onscreen_template_new

No description available.

#### Instance methods

###### cogl_onscreen_template_set_samples_per_pixel

Requires that any future CoglOnscreen framebuffers derived from this template must support making at least `n` samples per pixel which will all contribute to the final resolved color for that pixel.

###### cogl_onscreen_template_set_stereo_enabled

Sets whether future `CoglOnscreen` framebuffers derived from this template are attempted to be created with both left and right buffers, for use with stereo display. If the display system does not support stereo, then creation of the framebuffer will fail.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglOnscreenTemplateClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.